# Uses of Interface
org.apache.commons.math3.analysis.MultivariateVectorFunction

Packages that use MultivariateVectorFunction
Package
Description
org.apache.commons.math3.analysis
Parent package for common numerical analysis procedures, including root finding, function interpolation and integration.
org.apache.commons.math3.analysis.differentiation
This package holds the main interfaces and basic building block classes dealing with differentiation.
org.apache.commons.math3.fitting
Classes to perform curve fitting.
org.apache.commons.math3.fitting.leastsquares
This package provides algorithms that minimize the residuals between observations and model values.
org.apache.commons.math3.optim.nonlinear.scalar
Algorithms for optimizing a scalar function.
org.apache.commons.math3.optim.nonlinear.vector
Algorithms for optimizing a vector function.
org.apache.commons.math3.optimization
All classes and sub-packages of this package are deprecated.
org.apache.commons.math3.optimization.direct
This package provides optimization algorithms that don't require derivatives.

## Uses of MultivariateVectorFunction in org.apache.commons.math3.analysis

Subinterfaces of MultivariateVectorFunction in org.apache.commons.math3.analysis
Modifier and Type
Interface
Description
`interface`
`DifferentiableMultivariateVectorFunction`
Deprecated.
as of 3.1 replaced by `MultivariateDifferentiableVectorFunction`
Methods in org.apache.commons.math3.analysis that return MultivariateVectorFunction
Modifier and Type
Method
Description
`MultivariateVectorFunction`
DifferentiableMultivariateFunction.`gradient()`
Deprecated.
Returns the gradient function.

## Uses of MultivariateVectorFunction in org.apache.commons.math3.analysis.differentiation

Subinterfaces of MultivariateVectorFunction in org.apache.commons.math3.analysis.differentiation
Modifier and Type
Interface
Description
`interface`
`MultivariateDifferentiableVectorFunction`
Extension of `MultivariateVectorFunction` representing a multivariate differentiable vectorial function.
Classes in org.apache.commons.math3.analysis.differentiation that implement MultivariateVectorFunction
Modifier and Type
Class
Description
`class`
`GradientFunction`
Class representing the gradient of a multivariate function.

## Uses of MultivariateVectorFunction in org.apache.commons.math3.fitting

Methods in org.apache.commons.math3.fitting that return MultivariateVectorFunction
Modifier and Type
Method
Description
`MultivariateVectorFunction`
AbstractCurveFitter.TheoreticalValuesFunction.`getModelFunction()`

## Uses of MultivariateVectorFunction in org.apache.commons.math3.fitting.leastsquares

Methods in org.apache.commons.math3.fitting.leastsquares with parameters of type MultivariateVectorFunction
Modifier and Type
Method
Description
`static LeastSquaresProblem`
LeastSquaresFactory.`create(MultivariateVectorFunction model, MultivariateMatrixFunction jacobian, double[] observed, double[] start, RealMatrix weight, ConvergenceChecker<LeastSquaresProblem.Evaluation> checker, int maxEvaluations, int maxIterations)`
Create a `LeastSquaresProblem` from the given elements.
`LeastSquaresBuilder`
LeastSquaresBuilder.`model(MultivariateVectorFunction value, MultivariateMatrixFunction jacobian)`
Configure the model function.
`static MultivariateJacobianFunction`
LeastSquaresFactory.`model(MultivariateVectorFunction value, MultivariateMatrixFunction jacobian)`
Combine a `MultivariateVectorFunction` with a `MultivariateMatrixFunction` to produce a `MultivariateJacobianFunction`.

## Uses of MultivariateVectorFunction in org.apache.commons.math3.optim.nonlinear.scalar

Methods in org.apache.commons.math3.optim.nonlinear.scalar that return MultivariateVectorFunction
Modifier and Type
Method
Description
`MultivariateVectorFunction`
ObjectiveFunctionGradient.`getObjectiveFunctionGradient()`
Gets the gradient of the function to be optimized.
Constructors in org.apache.commons.math3.optim.nonlinear.scalar with parameters of type MultivariateVectorFunction
Modifier
Constructor
Description
``
`LeastSquaresConverter(MultivariateVectorFunction function, double[] observations)`
Builds a simple converter for uncorrelated residuals with identical weights.
``
`LeastSquaresConverter(MultivariateVectorFunction function, double[] observations, double[] weights)`
Builds a simple converter for uncorrelated residuals with the specified weights.
``
`LeastSquaresConverter(MultivariateVectorFunction function, double[] observations, RealMatrix scale)`
Builds a simple converter for correlated residuals with the specified weights.
``
`ObjectiveFunctionGradient(MultivariateVectorFunction g)`

## Uses of MultivariateVectorFunction in org.apache.commons.math3.optim.nonlinear.vector

Methods in org.apache.commons.math3.optim.nonlinear.vector that return MultivariateVectorFunction
Modifier and Type
Method
Description
`MultivariateVectorFunction`
ModelFunction.`getModelFunction()`
Deprecated.
Gets the model function to be optimized.
Constructors in org.apache.commons.math3.optim.nonlinear.vector with parameters of type MultivariateVectorFunction
Modifier
Constructor
Description
``
`ModelFunction(MultivariateVectorFunction m)`
Deprecated.

## Uses of MultivariateVectorFunction in org.apache.commons.math3.optimization

Classes in org.apache.commons.math3.optimization with type parameters of type MultivariateVectorFunction
Modifier and Type
Class
Description
`class`
`BaseMultivariateVectorMultiStartOptimizer<FUNC extends MultivariateVectorFunction>`
Deprecated.
As of 3.1 (to be removed in 4.0).
`interface`
`BaseMultivariateVectorOptimizer<FUNC extends MultivariateVectorFunction>`
Deprecated.
As of 3.1 (to be removed in 4.0).
Constructors in org.apache.commons.math3.optimization with parameters of type MultivariateVectorFunction
Modifier
Constructor
Description
``
`LeastSquaresConverter(MultivariateVectorFunction function, double[] observations)`
Deprecated.
Build a simple converter for uncorrelated residuals with the same weight.
``
`LeastSquaresConverter(MultivariateVectorFunction function, double[] observations, double[] weights)`
Deprecated.
Build a simple converter for uncorrelated residuals with the specific weights.
``
`LeastSquaresConverter(MultivariateVectorFunction function, double[] observations, RealMatrix scale)`
Deprecated.
Build a simple converter for correlated residuals with the specific weights.

## Uses of MultivariateVectorFunction in org.apache.commons.math3.optimization.direct

Classes in org.apache.commons.math3.optimization.direct with type parameters of type MultivariateVectorFunction
Modifier and Type
Class
Description
`class`
`BaseAbstractMultivariateVectorOptimizer<FUNC extends MultivariateVectorFunction>`
Deprecated.
As of 3.1 (to be removed in 4.0).